Bug 208620 - Track "scrolling scope" on RenderLayers
Summary: Track "scrolling scope" on RenderLayers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-04 18:25 PST by Simon Fraser (smfr)
Modified: 2020-03-13 08:15 PDT (History)
12 users (show)

See Also:


Attachments
Patch (9.79 KB, patch)
2020-03-04 18:31 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (9.01 KB, patch)
2020-03-10 18:23 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2020-03-04 18:25:49 PST
Track "scrolling scope" on RenderLayers
Comment 1 Simon Fraser (smfr) 2020-03-04 18:31:23 PST
Created attachment 392526 [details]
Patch
Comment 2 zalan 2020-03-04 19:39:32 PST
Comment on attachment 392526 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=392526&action=review

> Source/WebCore/ChangeLog:12
> +        Each layer has two scopes; a "box" scope that applies to the background/borders, and

wouldn't decoration scope be a better name if it is only about background and borders?
Comment 3 Simon Fraser (smfr) 2020-03-04 19:59:22 PST
(In reply to zalan from comment #2)
> Comment on attachment 392526 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=392526&action=review
> 
> > Source/WebCore/ChangeLog:12
> > +        Each layer has two scopes; a "box" scope that applies to the background/borders, and
> 
> wouldn't decoration scope be a better name if it is only about background
> and borders?

I thought of that, but it's more about the scrolling element's box, which doesn't move.
Comment 4 WebKit Commit Bot 2020-03-05 09:17:28 PST
The commit-queue encountered the following flaky tests while processing attachment 392526 [details]:

editing/spelling/spellcheck-async-remove-frame.html bug 158401 (authors: morrita@google.com, rniwa@webkit.org, and tony@chromium.org)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2020-03-05 09:18:05 PST
Comment on attachment 392526 [details]
Patch

Clearing flags on attachment: 392526

Committed r257920: <https://trac.webkit.org/changeset/257920>
Comment 6 WebKit Commit Bot 2020-03-05 09:18:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2020-03-05 09:19:16 PST
<rdar://problem/60086595>
Comment 8 Simon Fraser (smfr) 2020-03-10 14:29:52 PDT
Partially reverted in https://trac.webkit.org/changeset/258229/webkit because it broke gmail.
Comment 9 Simon Fraser (smfr) 2020-03-10 18:23:28 PDT
Created attachment 393197 [details]
Patch
Comment 10 WebKit Commit Bot 2020-03-10 20:26:09 PDT
Comment on attachment 393197 [details]
Patch

Clearing flags on attachment: 393197

Committed r258249: <https://trac.webkit.org/changeset/258249>
Comment 11 WebKit Commit Bot 2020-03-10 20:26:10 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Truitt Savell 2020-03-13 08:15:16 PDT
New test added in this commit is flaky, tracking in https://bugs.webkit.org/show_bug.cgi?id=209052